#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libparserutils
Version		:	0.2.5
Release		:	17.2.0.rel%{?dist}
Summary		:	A library for building efficient parsers

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	http://www.netsurf-browser.org/projects/libparserutils/

Source0		:	%{name}-%{version}-src.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	doxygen
BuildRequires	:	netsurf-buildsystem

#-----------------------------------------------------------------------------
%description
LibParserUtils is a library for building efficient parsers,
written in C. It was developed as part of the NetSurf project.
 
Features:
* No mandatory dependencies (iconv() implementation optional for
  enhanced charset support)
* A number of built-in character set converters
* Mapping of character set names to/from MIB enum values
* UTF-8 and UTF-16 (host endian) support functions
* Various simple data structures (resizeable buffer, stack, vector)
* A UTF-8 input stream
* Simple C API
* Portable
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_libdir}/%{name}.so.0*

#=============================================================================
%package		devel

Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root, -)
%{_includedir}/parserutils/*.h
%{_includedir}/parserutils/charset/*.h
%{_includedir}/parserutils/input/*.h
%{_includedir}/parserutils/utils/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%package		doc

Summary		:	Documentation of %{name} API

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
The %{name}-doc package contains documentation files
for %{name}.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root, -)
%license COPYING
%doc build/docs/html

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__make}						\
	%{_smp_mflags}					\
	PREFIX=%{_prefix}				\
	DOXYCONF=build/Doxyfile				\
	COMPONENT_TYPE=lib-shared			\

%{__make}						\
	%{_smp_mflags}					\
	docs						\
	PREFIX=%{_prefix}				\
	DOXYCONF=build/Doxyfile				\
	COMPONENT_TYPE=lib-shared			\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	PREFIX=%{_prefix}				\
	DESTDIR=%{buildroot}				\
	COMPONENT_TYPE=lib-shared			\
	install

#-----------------------------------------------------------------------------
%changelog
